Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain
Enum CacheInformation.ExpiryType

    java.lang.Object
      java.lang.Enum<CacheInformation.ExpiryType>
          be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain.CacheInformation.ExpiryType

All Implemented Interfaces:
  Serializable, Comparable<CacheInformation.ExpiryType>

Enclosing class:
  CacheInformation

    public static enum CacheInformation.ExpiryType

extends Enum<CacheInformation.ExpiryType>

Enum Constant Summary
`NONE`
`TTL`

Method Summary
`static CacheInformation.ExpiryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheInformation.ExpiryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final CacheInformation.ExpiryType NONE

### TTL

    public static final CacheInformation.ExpiryType TTL

Method Detail

### values

    public static CacheInformation.ExpiryType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CacheInformation.ExpiryType c : CacheInformation.ExpiryType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CacheInformation.ExpiryType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.